Bug 1273797 - Missing kubernetesMasterConfig.proxyClientInfo in master-config.yaml
Missing kubernetesMasterConfig.proxyClientInfo in master-config.yaml
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer (Show other bugs)
3.1.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Andrew Butcher
Ma xiaoqiang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-21 05:20 EDT by weiwei jiang
Modified: 2016-10-30 18:54 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-20 10:41:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description weiwei jiang 2015-10-21 05:20:39 EDT
Description of problem:
When check the api proxy feature, found there is no master-proxy cert provided.
Then found there is no kubernetesMasterConfig.proxyClientInfo in master-config.yaml

Version-Release number of selected component (if applicable):
atomic-openshift-3.0.2.901-0.git.61.568adb6.el7aos.x86_64

How reproducible:
always

Steps to Reproduce:
1. Check the master-config.yaml
2.
3.

Actual results:
Missing kubernetesMasterConfig.proxyClientInfo in master-config.yaml

Expected results:
There should have kubernetesMasterConfig.proxyClientInfo in master-config.yaml

Additional info:
Comment 2 Jason DeTiberus 2015-10-22 16:13:45 EDT
https://github.com/openshift/openshift-ansible/pull/731
Comment 3 Ma xiaoqiang 2015-10-25 22:02:28 EDT
https://github.com/abutcher/openshift-ansible/ -b proxy-client-config

met error:
Traceback (most recent call last):
  File "/root/.ansible/tmp/ansible-tmp-1445824629.69-275610681424308/openshift_facts", line 23, in <module>
    from ansible.runner.filter_plugins.core import version_compare
ImportError: No module named ansible.runner.filter_plugins.core
Comment 4 weiwei jiang 2015-10-26 23:06:06 EDT
Checked with 
atomic-openshift-clients-3.0.2.903-0.git.28.232fec6.el7aos.x86_64
atomic-openshift-sdn-ovs-3.0.2.903-0.git.28.232fec6.el7aos.x86_64
atomic-openshift-3.0.2.903-0.git.28.232fec6.el7aos.x86_64
atomic-openshift-master-3.0.2.903-0.git.28.232fec6.el7aos.x86_64
tuned-profiles-atomic-openshift-node-3.0.2.903-0.git.28.232fec6.el7aos.x86_64
atomic-openshift-node-3.0.2.903-0.git.28.232fec6.el7aos.x86_64

and the issue can not be reproduced.

Note You need to log in before you can comment on or make changes to this bug.